var tree = [
    {
        name: "Fastolph Bolger",
        children: []
    },
    {
        name: "Laura Grubb",
        children: [
            {
                name: "Bungo",
                children: [
                    {
                        name: "Bilbo",
                        children: []
                    }
                ]
            },
            {
                name: "Belba",
                children: []
            },
            {
                name: "Longo",
                children: [
                    {
                        name: "Otho Sackville-Baggins",
                        children: [
                            {
                                name: "Lotho",
                                children: []
                            }
                        ]
                    }
                ]
            }
        ]
    },
    {
        name: "Ponto",
        children: [
            {
                name: "Rosa",
                children: [
                    {
                        name: "Peregrin Took",
                        children: []
                    }
                ]
            }
        ]
    }
];
$(function(){
    var list = createList(tree, 1);
    $('.list-container').html(list);
    $(document).on('click', '.show-children', function(){
        $(this).next('ul').slideToggle();
        $(this).find('.right-arrow').toggleClass('down-arrow');
    });
});

function createList(children, level) {
    var style = "margin-left: " + (10 * level) + "px;"
    if (level > 1) {
        style += "display: none;";
    }
    var list = "<ul style='" + style + "'>";
    level++;
    for (var i = 0; i < children.length; i++) {
        if (children[i].children.length > 0) {
            list += "<li><a href='javascript:void(0)' class='show-children'><div class='arrow right-arrow'></div> " + children[i].name + "</a>";
            list += createList(children[i].children, level);
            list += "</li>";
        } else {
            list += "<li class='list-bg'>" + children[i].name + "</li>";
        }
    }
    list += "</ul>";
    return list;
}
