$(function(){
    var _start = $('.start');
    var _end = $('.end');
    var _restrict = $('.restrict');
    var _formatDate = $('.formatDate');
    var _dateFormat = 'dd/mm/yy';
    _start.datepicker({
        dateFormat: _dateFormat,
        minDate: new Date(),
        onClose: function(selectedDate) {
            _end.datepicker("option", "minDate", selectedDate);
            restrictDates();
        }
    });
    _end.datepicker({
        dateFormat: _dateFormat,
        onClose: function(selectedDate) {
            _start.datepicker("option", "maxDate", selectedDate);
        }
    });
    _formatDate.change(function(){
        _dateFormat = _formatDate.val();
        _start.datepicker("option", "dateFormat", _dateFormat);
        _end.datepicker("option", "dateFormat", _dateFormat);
    });
    _restrict.change(function(){
        restrictDates();
    });
    function restrictDates() {
        var maxDate = _start.datepicker("getDate");
        if (maxDate != null) {
            maxDate.setFullYear(maxDate.getFullYear() + parseInt(_restrict.val()));
            _end.datepicker("option", "maxDate", maxDate);
        }
    }
});