$(function(){
    $('#searchInput').autocomplete({
        minLength: 2,
        source: function(input, response) {
            $.ajax({
                type: 'GET',
                dataType: 'jsonp',
                url: 'http://api.trakt.tv/search/shows.json/43232be0b3972a27cbd7cf7208225b9f?query=' + input.term + "&limit=10",
                success: function(data) {
                    var results = [];
                    for (var i = 0; i < data.length; i++) {
                        results.push({
                            id: data[i].tvdb_id,
                            label: data[i].title,
                            value: data[i].title
                        });
                    }
                    response(results);
                }
            });
        },
        select: function (event, ui) {
            var showId = ui.item.id;
            var _searchingMsg = $('.searching');
            var _resultList = $('#results-list');
            _resultList.empty();
            _searchingMsg.fadeIn();
            $.ajax({
                type: 'GET',
                url: 'http://api.trakt.tv/show/related.json/43232be0b3972a27cbd7cf7208225b9f/' + showId,
                dataType: 'jsonp',
                success: function(data) {
                    _searchingMsg.hide();
                    for (var i = 0; i < data.length; i++) {
                        _resultList.append("<li><a target='_blank' href='" + data[i].url + "'>" + data[i].title + "</a></li>");
                    }
                }
            });
        }
    });
});