function addEvent(msg) {
    var _list = $('#touch-event-response');
    _list.append("<li>" + msg + "</li>");
    _list.listview('refresh');
}

$(function(){
    $(document).bind('tap', function(){
        addEvent("Tap");
    });
    $(document).bind('taphold', function(){
        addEvent("Tap & Hold");
    });
    $(document).bind('swipe', function(){
        addEvent("Swipe");
    });
    $(document).bind('swipeleft', function(){
        $('#touch-event-response').empty();
    });
    $(window).bind('orientationchange', function(event){
       addEvent("Orientation changed to: " + event.orientation);
    });
});

