$(function(){
    $(document).on('click', '.open-login', function(){
        $('.login-frame').fadeIn(500);
        $('.login-box').animate({'top' : '50px'}, 500);
    });
    $(document).on('click', '.close-login', function(){
        $('.login-box').animate({'top' : '-165px'}, 500);
        $('.login-frame').fadeOut(500);
    });
    $(document).on('click', '.login-btn', function(){
        var username = $('#username').val();
        var password = $('#password').val();
        $.ajax({
            url: '/index.php',
            type: 'POST',
            data: {
                'username': username,
                'password': password
            },
            success: function(response) {
                var _loginMsg = $('.login-msg');
                if (response.success) {
                    _loginMsg.addClass("success").removeClass("error");
                    _loginMsg.html("Login was successful!");
                } else {
                    _loginMsg.addClass("error").removeClass("success");
                    _loginMsg.html(response.error);
                    $('.login-box')
                        .animate({ left: -25 }, 20)
                        .animate({ left: 0 }, 60)
                        .animate({ left: 25 }, 20)
                        .animate({ left: 0 }, 60);
                }
            }
        });
    });
});
